library(tidyverse)
library(FactoMineR)
library(Rtsne)

# PCA

iris %>%
  PCA(quali.sup = 5, graph = F) -> pca_iris

pca_iris

summary(pca_iris)

plot(pca_iris, choix = "var")
plot(pca_iris, choix = "ind")

plotellipses(pca_iris)

# t-SNE

iris %>%
  select(-Species) %>%
  Rtsne(check_duplicates = F,
        pca = F,
        verbose = T) -> tsne_iris

tsne_iris

tsne_iris$Y %>%
  as.tibble %>%
  ggplot() +
  aes(x = V1, y = V2) +
  geom_point()
